Page MenuHomePhabricator

Update Special:BlockList with partial block info
Closed, ResolvedPublic

Description

Special:BlockList should be updated to list partial blocks from the database.

Details

Event Timeline

dbarratt triaged this task as Medium priority.Jun 13 2018, 4:10 PM
dbarratt created this task.
dbarratt claimed this task.Jun 18 2018, 8:36 PM
dbarratt moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 23) board.

Wires here: https://wikimedia.invisionapp.com/share/VXL2LF0UQDS#/screens/303421445 — 10, 11, and 12

This wireframe shows more than what's needed for MVP (e.g. showing if sitewide vs. partial, the loading indicator, the tooltip and all it's interactions.) Please go with whatever takes the shortest amount of time to build. This is really not the focus of our MVP.

@TBolliger Should the entire Partial Blocks feature be behind a config flag?

Change 441093 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/core@master] Update Special:BlockList to present Partial Block details from the database

https://gerrit.wikimedia.org/r/441093

@TBolliger Should the entire Partial Blocks feature be behind a config flag?

Probably — we will want to release this on a wiki-by-wiki basis for testing and controlled rollout.

Vvjjkkii renamed this task from Update Special:BlockList with partial block info to 42aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii removed dbarratt as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Vachovec1 renamed this task from 42aaaaaaaa to Update Special:BlockList with partial block info.Jul 1 2018, 5:59 PM
Vachovec1 assigned this task to dbarratt.
Vachovec1 lowered the priority of this task from High to Medium.
Vachovec1 updated the task description. (Show Details)
Vachovec1 added subscribers: gerritbot, Aklapper.
dmaza added a subscriber: dmaza.Aug 10 2018, 4:38 PM

@TBolliger what's the MVP for this task? are we gonna go with the popup for the restriction details or a list of pages/namespaces will suffice?

@TBolliger what's the MVP for this task? are we gonna go with the popup for the restriction details or a list of pages/namespaces will suffice?

We're limiting MVP to 10 pages — I think we can list all 10 directly in the box. We can build the pop-up UI later, post-MVP.

-jkb- removed a subscriber: -jkb-.Sep 12 2018, 10:54 PM

Change 441093 merged by jenkins-bot:
[mediawiki/core@master] Update Special:BlockList to present Partial Block details from the database

https://gerrit.wikimedia.org/r/441093

dbarratt closed this task as Resolved.Oct 24 2018, 4:54 PM
dbarratt moved this task from Review to Done on the Anti-Harassment (AHT Sprint 31) board.